Financial Org StructureΒΆ
Search Tax JurisdictionsΒΆ
HTTP Request
POST /api/fos/tax-jurisdiction/search
π Description: Submits a request to search for tax jurisdictions, enabling users to identify applicable tax rates and regulations based on specified criteria.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the search results for tax jurisdictions should be returned in a paginated format, enhancing the efficiency of data retrieval for large datasets. |
|
body |
body |
true |
Request body containing the criteria for searching tax jurisdictions, including relevant filters and parameters to refine the search results. |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "statusEqual": "CREATED",
16 "statusIn": [
17 "CREATED"
18 ],
19 "displayIdIn": [
20 "string"
21 ],
22 "displayIdLike": "string",
23 "erpSystemIdEqual": 0,
24 "erpSystemIdIn": [
25 0
26 ],
27 "erpSystemDisplayIdLike": "string",
28 "uiSelector": "string",
29 "nameLike": "string",
30 "schemaLike": "string",
31 "costCenterIdEqual": 0,
32 "countryIdEqual": 0,
33 "countryDisplayIdLike": "string"
34}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "content": [
3 {
4 "id": 0,
5 "status": "CREATED",
6 "displayId": "string",
7 "erpSystemId": 0,
8 "erpSystemDisplayId": "string",
9 "name": "string",
10 "schema": "string",
11 "costCenterId": 0,
12 "countryId": 0,
13 "countryDisplayId": "string"
14 }
15 ],
16 "number": 0,
17 "size": 0,
18 "totalElements": 0,
19 "pageable": {
20 "paged": true,
21 "unpaged": true,
22 "pageNumber": 0,
23 "pageSize": 0,
24 "offset": 0,
25 "sort": {
26 "unsorted": true,
27 "sorted": true,
28 "empty": true
29 }
30 },
31 "last": true,
32 "totalPages": 0,
33 "sort": {
34 "unsorted": true,
35 "sorted": true,
36 "empty": true
37 },
38 "first": true,
39 "numberOfElements": 0,
40 "empty": true
41}
Search Tax CodesΒΆ
HTTP Request
POST /api/fos/tax-code/search
π Description: Submits a request to search for tax codes based on specified criteria, enabling efficient retrieval of relevant tax information for compliance and reporting purposes.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the search results for tax codes should be returned in a paginated format, facilitating efficient data retrieval and management. |
|
body |
body |
true |
Request body containing search criteria for tax codes, including relevant filters and parameters to refine the search results. |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "statusEqual": "CREATED",
16 "statusIn": [
17 "CREATED"
18 ],
19 "displayIdIn": [
20 "string"
21 ],
22 "displayIdLike": "string",
23 "erpSystemIdEqual": 0,
24 "erpSystemIdIn": [
25 0
26 ],
27 "erpSystemDisplayIdLike": "string",
28 "uiSelector": "string",
29 "nameLike": "string",
30 "procedureEqual": "string",
31 "procedureLike": "string",
32 "countryIdEqual": 0,
33 "countryDisplayIdEqual": "string"
34}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "content": [
3 {
4 "id": 0,
5 "status": "CREATED",
6 "displayId": "string",
7 "erpSystemId": 0,
8 "erpSystemDisplayId": "string",
9 "name": "string",
10 "procedure": "string",
11 "countryId": 0,
12 "countryDisplayId": "string"
13 }
14 ],
15 "number": 0,
16 "size": 0,
17 "totalElements": 0,
18 "pageable": {
19 "paged": true,
20 "unpaged": true,
21 "pageNumber": 0,
22 "pageSize": 0,
23 "offset": 0,
24 "sort": {
25 "unsorted": true,
26 "sorted": true,
27 "empty": true
28 }
29 },
30 "last": true,
31 "totalPages": 0,
32 "sort": {
33 "unsorted": true,
34 "sorted": true,
35 "empty": true
36 },
37 "first": true,
38 "numberOfElements": 0,
39 "empty": true
40}
Search Expense CategoryΒΆ
HTTP Request
POST /api/fos/expense-category/search
π Description: Submits a request to search for expense categories, enabling users to efficiently identify and categorize expenses relevant to their business operations.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the expense category search should be returned in a paginated format, allowing for efficient data retrieval and improved user experience. |
|
body |
body |
true |
Request body containing search criteria for expense categories, including filters and sorting options to facilitate efficient expense management. |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "statusEqual": "CREATED",
16 "statusIn": [
17 "CREATED"
18 ],
19 "displayIdIn": [
20 "string"
21 ],
22 "displayIdLike": "string",
23 "uiSelector": "string",
24 "nameLike": "string",
25 "editableEqual": true,
26 "expenseCategoryTypeIn": [
27 "PAYMENT"
28 ],
29 "expenseCategoryTypeEqual": "PAYMENT",
30 "principalPositionTypeIn": [
31 "LESSEE"
32 ],
33 "principalPositionTypeEqual": "LESSEE",
34 "includeNonLease": true,
35 "leaseTypeInIn": [
36 "LEASE_CONTRACT_FIXED_PART_A"
37 ],
38 "leaseTypeInEqual": "LEASE_CONTRACT_FIXED_PART_A"
39}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "content": [
3 {
4 "id": 0,
5 "status": "CREATED",
6 "displayId": "string",
7 "name": "string",
8 "editable": true,
9 "expenseCategoryType": "PAYMENT"
10 }
11 ],
12 "number": 0,
13 "size": 0,
14 "totalElements": 0,
15 "pageable": {
16 "paged": true,
17 "unpaged": true,
18 "pageNumber": 0,
19 "pageSize": 0,
20 "offset": 0,
21 "sort": {
22 "unsorted": true,
23 "sorted": true,
24 "empty": true
25 }
26 },
27 "last": true,
28 "totalPages": 0,
29 "sort": {
30 "unsorted": true,
31 "sorted": true,
32 "empty": true
33 },
34 "first": true,
35 "numberOfElements": 0,
36 "empty": true
37}
Search CompanyΒΆ
HTTP Request
POST /api/fos/company/search
π Description: Submits a request to search for companies within the system, allowing users to efficiently locate specific business entities based on defined criteria.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the search results should be returned in a paginated format, facilitating efficient data retrieval for large datasets. |
|
body |
body |
true |
Request body containing the search criteria and filters for locating company information within the enterprise database. |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "statusEqual": "CREATED",
16 "statusIn": [
17 "CREATED"
18 ],
19 "displayIdIn": [
20 "string"
21 ],
22 "displayIdLike": "string",
23 "erpSystemIdEqual": 0,
24 "erpSystemIdIn": [
25 0
26 ],
27 "erpSystemDisplayIdLike": "string",
28 "uiSelector": "string",
29 "countryIdEqual": 0,
30 "countryDisplayIdLike": "string",
31 "postingPeriodVariantIdEqual": 0,
32 "nameLike": "string",
33 "postingPeriodVariantDisplayIdLike": "string",
34 "controllingAreaIdEqual": 0,
35 "controllingAreaDisplayIdLike": "string",
36 "chartOfAccountIdEqual": 0,
37 "chartOfAccountDisplayIdLike": "string",
38 "fiscalVariantIdEqual": 0,
39 "fiscalVariantDisplayIdLike": "string",
40 "chartOfDepreciationIdEqual": 0,
41 "chartOfDepreciationDisplayIdLike": "string",
42 "purchasingOrganizationIdEqual": 0,
43 "assetIdEqual": 0,
44 "exchangeRateTypeIdEqual": 0,
45 "plantIdEqual": 0,
46 "incrementalBorrowingRateIdEqual": 0,
47 "businessUnitIdEqual": 0,
48 "projectIdEqual": 0,
49 "transferVariantIdEqual": 0,
50 "partnerIdEqual": 0,
51 "departmentIdEqual": 0,
52 "accountingStandardIdEqual": 0,
53 "generalLedgerAccountIdEqual": 0,
54 "consumerPriceIndexCategoryIdEqual": 0,
55 "costCenterIdEqual": 0,
56 "costCenterRelationValidFromEqual": "2019-08-24",
57 "costCenterRelationValidFromGreaterThanOrEqual": "2019-08-24",
58 "costCenterRelationValidFromLessThanOrEqual": "2019-08-24",
59 "costCenterRelationValidToEqual": "2019-08-24",
60 "costCenterRelationValidToGreaterThanOrEqual": "2019-08-24",
61 "costCenterRelationValidToLessThanOrEqual": "2019-08-24",
62 "searchTerm": "string"
63}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "paged": true,
6 "unpaged": true,
7 "pageNumber": 0,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "countryId": 0,
26 "countryDisplayId": "string",
27 "postingPeriodVariantId": 0,
28 "name": "string",
29 "postingPeriodVariantDisplayId": "string",
30 "controllingAreaId": 0,
31 "controllingAreaDisplayId": "string",
32 "chartOfAccountId": 0,
33 "chartOfAccountDisplayId": "string",
34 "fiscalVariantId": 0,
35 "fiscalVariantDisplayId": "string",
36 "chartOfDepreciationId": 0,
37 "chartOfDepreciationDisplayId": "string",
38 "purchasingOrganizationId": 0,
39 "assetId": 0,
40 "exchangeRateTypeId": 0,
41 "plantId": 0,
42 "incrementalBorrowingRateId": 0,
43 "businessUnitId": 0,
44 "projectId": 0,
45 "transferVariantId": 0,
46 "partnerId": 0,
47 "departmentId": 0,
48 "accountingStandardId": 0,
49 "generalLedgerAccountId": 0,
50 "consumerPriceIndexCategoryId": 0,
51 "costCenterId": 0,
52 "costCenterRelationValidFrom": "2019-08-24",
53 "costCenterRelationValidTo": "2019-08-24"
54 }
55 ],
56 "number": 0,
57 "sort": {
58 "unsorted": true,
59 "sorted": true,
60 "empty": true
61 },
62 "first": true,
63 "last": true,
64 "empty": true
65}